
Redmine - Defect #10837

reposman and rdm-mailhandler not working with ruby 1.9.x

2012-05-05 18:28 - Nestor Diaz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version: 1.4.2   

Resolution: Fixed Affected version: 1.4.1

Description

Although wiki page RedmineInstall says Redmine 1.4.x works with Ruby 1.9.x, either should be noticed at docs that automatic scm

creation and utilities (aka Reposman) will not work or replace reposman.rb dependency on rdoc/usage by optparse. Rdoc::usage

has been removed from ruby 1.9.

Side note 1: this should be really simple fix, but I've just started learning Ruby :/

Associated revisions

Revision 9648 - 2012-05-06 23:16 - Jean-Philippe Lang

Use optparse instead rdoc/usage in reposman (#10837).

Revision 9650 - 2012-05-07 19:23 - Jean-Philippe Lang

Use optparse instead rdoc/usage in rdm-mailhandler (#10837).

Revision 9673 - 2012-05-12 14:47 - Jean-Philippe Lang

Fixed reposman arguments parsing (#10837).

Revision 9675 - 2012-05-12 14:54 - Jean-Philippe Lang

Fixed #set_scm in reposman (#10837).

Revision 9676 - 2012-05-12 14:59 - Jean-Philippe Lang

Merged #10837.

History

#1 - 2012-05-06 22:53 - Jean-Philippe Lang

- Subject changed from Reposman not working with ruby 1.9.x to reposman and rdm-mailhandler not working with ruby 1.9.x

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.2

Indeed. rdm-mailhandler uses rdoc/usage as well.

#2 - 2012-05-12 15:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

The 2 scripts were converted to use optparse instead of rdoc/usage.
